package com.app.admin.framework.system.module.convert;

import com.app.admin.framework.system.module.enums.SysModuleBtnEnum;
import com.app.admin.framework.system.module.model.SysModule;
import com.app.framework.core.support.enums.common.StateEnum;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class SysModuleConvert {
	
	/**
	 * 将功能按钮list转换为map
	 * @param list 功能按钮
	 * @return
	 */
	public static Map<String, SysModule> toFuncBtnMap(List<SysModule> list){
		Map<String, SysModule> map = new HashMap<>();
		for (int i = 0; i < list.size(); i++) {
			SysModule m = list.get(i);
			map.put(m.getMark(), m);
		}
		return map;
	}

	public static SysModule buildBtn(SysModuleBtnEnum btnEnum, SysModule menu){
		SysModule entity = new SysModule();
		entity.setParentId(menu.getOid());
		entity.setMark(menu.getMark() + "_" + btnEnum.toString());
		entity.setName(btnEnum.getName());
		entity.setMorder(btnEnum.getOrder());
		entity.setMtype(2);//按钮
		entity.setState(StateEnum.NORMAL.getValue());
		return entity;
	}

}
